org.apache.hadoop.hdfs.client

## Class DfsPathCapabilities

- java.lang.Object
- - org.apache.hadoop.hdfs.client.DfsPathCapabilities

-     public final class DfsPathCapabilities
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Optional<Boolean>` | `hasPathCapability(org.apache.hadoop.fs.Path path, String capability)` Common implementation of `hasPathCapability` for DFS and webhdfs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasPathCapability

          public static Optional<Boolean> hasPathCapability(org.apache.hadoop.fs.Path path,
                                                            String capability)

      Common implementation of `hasPathCapability` for DFS and webhdfs.
      Parameters:
        `path` - path to check
        `capability` - capability
      Returns:
        either a value to return or, if empty, a cue for the FS to pass up to its superclass.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.